#!/bin/csh -e
#		SIFT.csh
# This program is licensed to you under the Fred
# Hutchinos Cancer Research Center (FHCRC)
# NONCOMMERICAL LICENSE.  A copy of the license may be found at
# http://blocks.fhcrc.org/sift/license.html and should be attached
# to this software
#

# Argument 1: the protein sequence file in fasta format
# Argument 2: the pathname to the protein sequence database
# Argument 3: the substitution file (file containing amino acid substitutions to be predicted on. 
# Argument 4: blast processors

### Set these for your installation
#	Location of blastpgp
#setenv NCBI /usr/local/packages/blast-2.2.18/bin/


#	Location of BLIMPS
setenv BLIMPS_DIR /usr/share/sift/blimps

#	SIFT's output files are written here
setenv TMPDIR `mktemp -d` || exit 1

setenv SIFT_BINDIR /usr/lib/sift/bin
setenv SIFT_SCRIPTDIR /usr/lib/sift/bin
setenv BLASTMAT /usr/share/ncbi/data

if ( -e "$HOME/.siftrc" ) source "$HOME/.siftrc";

### Shouldn't need to make any more changes, look for output in $tmpsift
set root_file = $1:r
set tail_of_root = $root_file:t
set tmpfasta = $TMPDIR/$tail_of_root.alignedfasta
#set tmpsift = $TMPDIR/$tail_of_root.SIFTprediction
set tmpsift = $tail_of_root.SIFTprediction

echo "$SIFT_SCRIPTDIR/seqs_chosen_via_median_info.csh $1 $2 $4"
      $SIFT_SCRIPTDIR/seqs_chosen_via_median_info.csh $1 $2 $4
echo "$SIFT_SCRIPTDIR/info_on_seqs $tmpfasta $3 $tmpsift"
      $SIFT_SCRIPTDIR/info_on_seqs $tmpfasta $3 $tmpsift
rm -rf $TMPDIR
echo "Output in ($PWD/)$tmpsift"

exit
